# $Revision: 1.46 $, $Date: 2005/09/17 11:39:50 $
#
# Conditional build:
%bcond_without	builtin_bfd	# use built in bfd instead of system one
#		(currently does not build with system one from new binutils)
#
Summary:	GNU Common Lisp system
Summary(pl):	System GNU Common Lisp
Name:		gcl
Version:	2.6.6
Release:	3
License:	LGPL v2
Group:		Development/Languages
Source0:	ftp://ftp.gnu.org/gnu/gcl/%{name}-%{version}.tar.gz
# Source0-md5:	45d67331b29cafc3e9b1eacb488044ec
Patch0:		%{name}-make.patch
Patch1:		%{name}-info.patch
# It seems this patch doesn't fix what it should: still doesn't build with
# newer binutils
#Patch2:		%{name}-binutils.patch
URL:		http://www.gnu.org/software/gcl/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gmp-devel >= 4.0
BuildRequires:	readline-devel
BuildRequires:	texinfo
%define	_tkline	8.4
BuildRequires:	tk-devel >= %{_tkline}
BuildRequires:	xemacs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GNU Common Lisp system, based on KCL.

%description -l pl
System GNU Common Lisp, bazujcy na KCL.

%package tk
Summary:	Tcl/Tk bindings for GNU Common Lisp
Summary(pl):	Interfejs Tcl/Tk do GNU Common Lisp
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description tk
Tcl/Tk bindings for GNU Common Lisp.

%description tk -l pl
Interfejs Tcl/Tk dla GNU Common Lisp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
#%%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
cp -f /usr/share/automake/config.* .
GCC="%{__cc}"; export GCC
# note: full path to xemacs must be passed
EMACS=/usr/bin/xemacs; export EMACS
%configure \
	--disable-statsysbfd \
%ifnarch alpha hppa ia64 mips
%if %{with builtin_bfd}
	--enable-locbfd \
%else
	--enable-dynsysbfd \
%endif
%endif
	--enable-dynsysgmp \
	--enable-notify=no

%{__make} \
	EMACS_SITE_LISP=`xemacs -q -batch 2>&1 | sed -e /Loading/d `

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_infodir},%{_mandir}/man1}

%{__make} install1 \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_LIB_DIR=%{_libdir}/gcl

mv -f $RPM_BUILD_ROOT%{_libdir}/gcl/info/* $RPM_BUILD_ROOT%{_infodir}
rmdir $RPM_BUILD_ROOT%{_libdir}/gcl/info

install man/man1/gcl.1 $RPM_BUILD_ROOT%{_mandir}/man1

ln -sf %{_libdir}/gcl/unixport/saved_gcl $RPM_BUILD_ROOT%{_bindir}/gcl.exe

cat <<EOF > $RPM_BUILD_ROOT%{_bindir}/gcl
#!/bin/sh
exec %{_libdir}/gcl/unixport/saved_gcl \
	-dir {_libdir}/gcl/unixport/ \
	-libdir %{_libdir}/gcl/ \
	-eval '(setq si::*allow-gzipped-file* t)' \
	"$@"
EOF

cat <<EOF > $RPM_BUILD_ROOT%{_bindir}/gcl-tk
#!/bin/sh
exec %{_libdir}/gcl/unixport/saved_gcl \
	-dir {_libdir}/gcl/unixport/ \
	-libdir %{_libdir}/gcl/ \
	-eval '(setq si::*allow-gzipped-file* t)' \
	-eval '(setq si::*tk-library* "/usr/lib/tk%{_tkline}")' \
	"$@"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post tk
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun tk
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc readme faq ChangeLog
%attr(755,root,root) %{_bindir}/gcl
%attr(755,root,root) %{_bindir}/gcl.exe
%dir %{_libdir}/gcl
%{_libdir}/gcl/clcs
%{_libdir}/gcl/cmpnew
%{_libdir}/gcl/h
%{_libdir}/gcl/lsp
%{_libdir}/gcl/pcl
%dir %{_libdir}/gcl/unixport
%attr(755,root,root) %{_libdir}/gcl/unixport/saved_gcl
%{_libdir}/gcl/unixport/*.lsp
# to -devel?
#%{_libdir}/gcl/unixport/*.a
%{_infodir}/gcl-si.info*
%{_mandir}/man1/*

%files tk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gcl-tk
%dir %{_libdir}/gcl/gcl-tk
%attr (755,root,root) %{_libdir}/gcl/gcl-tk/gcltkaux
%attr (755,root,root) %{_libdir}/gcl/gcl-tk/gcltksrv
%{_libdir}/gcl/gcl-tk/*.o
%{_libdir}/gcl/gcl-tk/*.tcl
%{_infodir}/gcl-tk.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gcl.spec,v $
Revision 1.46  2005/09/17 11:39:50  arekm
- new readline 5.0

Revision 1.45  2005/06/27 11:51:38  undefine
- use by default builtin bfd, rel 2

Revision 1.44  2005/06/27 01:14:31  undefine
- up to 2.6.6, use system bfd

Revision 1.43  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.42  2004/10/12 10:52:29  qboosh
- unbroken build on alpha, release 6

Revision 1.41  2004/10/11 05:30:29  ankry
- seems to be required on alpha; but still doesn't build

Revision 1.40  2004/10/10 13:18:04  ankry
- use built-in bfd, as does not build with shared one from new binutils
  (to be fixed)
- rel. 5

Revision 1.39  2004/10/10 11:16:48  ankry
- commented out probably wrong patch

Revision 1.38  2004/10/09 22:48:16  ankry
- hopefully fixed build with binutils 2.15.92.0.2
- rel. 4

Revision 1.37  2004/10/05 00:52:42  havner
- rel 3 to rebuild with new binutils

Revision 1.36  2004/08/31 09:00:56  snurf
- typos / formatting / etc.

Revision 1.35  2004/08/27 21:13:40  undefine
- update to 2.6.5

Revision 1.34  2004/07/15 22:10:08  qboosh
- fixed build on alpha (and possibly others); release 2

Revision 1.33  2004/07/15 19:17:18  qboosh
- updated to 2.6.2, updated patches

Revision 1.32  2004/07/15 16:54:59  qboosh
- updated URL

Revision 1.31  2003/09/08 09:22:03  qboosh
- missing dirs, removed BR sed (required by rpm-build)

Revision 1.30  2003/09/06 15:53:00  blues
- "-" can't be in macro name... :-/

Revision 1.29  2003/09/06 15:29:25  blues
- added macro to autogenerate tk-deps

Revision 1.28  2003/09/06 15:18:11  blues
- release 2 - killed subshell

Revision 1.27  2003/08/28 12:03:36  ankry
- s/tk/Tk/

Revision 1.26  2003/07/17 11:20:41  undefine
- updated to 2.4.4
- commented bfd patch - wit it it doesn't compile - hgw why.

Revision 1.25  2003/05/26 16:25:00  malekith
- massive attack: adding Source-md5

Revision 1.24  2003/05/25 05:47:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2002/10/31 21:23:35  filon
- added bfd patch to make it build
- release 2

Revision 1.22  2002/10/23 10:13:34  kloczek
- reverte last change.

Revision 1.21  2002/10/23 10:00:26  kloczek
- merge translations from TurboLinux.

Revision 1.20  2002/10/15 11:28:59  qboosh
- added workaround to allow build when emacs is installed, but emacs-leim not; STBR

Revision 1.19  2002/10/09 13:14:23  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.18  2002/09/03 10:31:30  marcus
- ExclusiveArch ix86 sparc (arch specific files for ppc and alpha not exist)

Revision 1.17  2002/08/04 12:44:03  kloczek
- use new %doc.

Revision 1.16  2002/06/22 23:04:06  kloczek
- upated to 2.4.3.

Revision 1.15  2002/05/21 23:13:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/04/25 16:21:22  arturs
fixed a small typo

Revision 1.13  2002/03/19 15:20:17  ankry
- fixed URLs

Revision 1.12  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/18 19:41:49  filon
- updated to 2.4.1
- upated info, make, libgmp patches

Revision 1.10  2002/02/13 20:35:40  filon
- cp -f /usr/share/automake/config.* is back, automake -a -c : don't work :-)

Revision 1.9  2002/02/13 16:31:43  kloczek
- spec adapterized,
- replace "cp -f %{_datadir}/automake/config.sub ." by "automake -a -c || :"
  in %build
- cosmetics.

Revision 1.8  2002/01/26 09:59:03  filon
- copy config.sub from automake dir (don't use automake -a -c, it doesn't use am)
- needed for athlon compatibility (inlcuded one doesn handle athlon)

Revision 1.7  2002/01/18 02:13:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/12/23 23:02:02  filon
- added libgmp patch for dynamic linking to gmp library (and not build it)
- use autoconf (patch changes configure.in)
- added buildrequires
- release 3

Revision 1.5  2001/12/23 20:35:27  filon
- fixed what have beroken when making last changes

Revision 1.4  2001/12/23 09:06:44  filon
- fixed perms in files
- cosmetics
- release 2

Revision 1.3  2001/12/06 04:48:32  kloczek
- added info patch (added texinfof to BuildRequires),
- removed doc-html subpackage (we have one copy doc in info format),
- added gcl man page to main package,
- use xemacs for building elc files (instead emacs-leim).
TODO: add patches for using system installed gmp and mpi libraries.

Revision 1.2  2001/12/04 08:35:45  qboosh
- adapterized, fixed typos, removed bashism

Revision 1.1  2001/12/03 22:38:24  filon
- GNU Common Lisp package
- spec from scratch
- make and OPT patches for succesful building
- STBR
